## org.eclipse.emf.codegen.jet
Class JETCompileTemplateOperation

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETCompileTemplateOperation

All Implemented Interfaces:
  IWorkspaceRunnable

    public class JETCompileTemplateOperation

extends java.lang.Object
implements IWorkspaceRunnable

Field Summary
`protected java.util.Collection<?>` `containers`
`protected java.util.List<java.lang.Object>` `files`
`protected boolean` `inBuild`
`protected static java.lang.String` `JET_EXTENSION`
`protected IProject` `project`

Constructor Summary
`JETCompileTemplateOperation(IProject project, java.util.Collection<?> containers)` Creates an instance given the collection of resources.
`JETCompileTemplateOperation(IProject project, java.util.Collection<?> containers, java.util.Collection<?> resources)` Creates an instance given the collection of resources.

Method Summary
`protected void` `consider(IContainer container)` Considers all the files of a container and all its subcontainer.
`protected void` `consider(IFile file)` Adds the file to `files` the file ends with the `JET_EXTENSION` extension.
`protected void` `consider(java.lang.String uri)` Adds the URI.
`protected void` `consider(URI baseURI, URI localURI, java.io.File file)`
`protected IContainer` `getPackageContainer(IContainer root, java.lang.String packagename, IProgressMonitor monitor)`
`boolean` `isInBuild()`
`void` `run(IProgressMonitor progressMonitor)`
`void` `setInBuild(boolean build)`
`boolean` `shouldCompile()` Returns true if there are files to compile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JET_EXTENSION

    protected static final java.lang.String JET_EXTENSION

See Also:
  Constant Field Values

### project

    protected IProject project

### containers

    protected java.util.Collection<?> containers

### files

    protected java.util.List<java.lang.Object> files

### inBuild

    protected boolean inBuild

Constructor Detail

### JETCompileTemplateOperation

    public JETCompileTemplateOperation(IProject project,
                                       java.util.Collection<?> containers)
                                throws CoreException

  Creates an instance given the collection of resources.

  Throws:
    `CoreException`

### JETCompileTemplateOperation

    public JETCompileTemplateOperation(IProject project,
                                       java.util.Collection<?> containers,
                                       java.util.Collection<?> resources)
                                throws CoreException

  Creates an instance given the collection of resources.

  Throws:
    `CoreException`

Method Detail

### shouldCompile

    public boolean shouldCompile()

  Returns true if there are files to compile.

### consider

    protected void consider(java.lang.String uri)

  Adds the URI.

### consider

    protected void consider(URI baseURI,
                            URI localURI,
                            java.io.File file)

### consider

    protected void consider(IFile file)

  Adds the file to `files` the file ends with the `JET_EXTENSION` extension.

### consider

    protected void consider(IContainer container)
                     throws CoreException

  Considers all the files of a container and all its subcontainer.

  Throws:
    `CoreException`

### run

    public void run(IProgressMonitor progressMonitor)
             throws CoreException

  Specified by:
    `run` in interface `IWorkspaceRunnable`
  Throws:
    `CoreException`

### getPackageContainer

    protected IContainer getPackageContainer(IContainer root,
                                             java.lang.String packagename,
                                             IProgressMonitor monitor)
                                      throws CoreException

  Throws:
    `CoreException`

### isInBuild

    public boolean isInBuild()

### setInBuild

    public void setInBuild(boolean build)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.